Package distutils :: Package command :: Module install_data :: Class install_data

[frames | no frames]

## Class install_data

    Command --+
              |
             install_data

Method Summary
| ``finalize_options`(self)` Set final values for all the options that this command supports.
| `get_inputs(self)`
| `get_outputs(self)`
| ``initialize_options`(self)` Set default values for all the options that this command supports.
| ``run`(self)` A command's raison d'etre: carry out the action it exists to perform, controlled by the options initialized in 'initialize_options()', customized by other commands, the setup script, the command-line, and config files, and finalized in 'finalize_options()'.

Class Variable Summary
`list` | `boolean_options` = `['force']`
`str` | `description` = `'install data files'`
`list` | `user_options` = `[('install-dir=', 'd', 'base directory fo...`

Method Details

### finalize_options(self)

Set final values for all the options that this command supports. This is always called as late as possible, ie. after any option assignments from the command-line or from other commands have been done. Thus, this is the place to code option dependencies: if 'foo' depends on 'bar', then it is safe to set 'foo' from 'bar' as long as 'foo' still has the same value it was assigned in 'initialize_options()'.

This method must be implemented by all command classes.

  Overrides:
    `distutils.cmd.Command.finalize_options` (inherited documentation)

### initialize_options(self)

Set default values for all the options that this command supports. Note that these defaults may be overridden by other commands, by the setup script, by config files, or by the command-line. Thus, this is not the place to code dependencies between options; generally, 'initialize_options()' implementations are just a bunch of "self.foo = None" assignments.

This method must be implemented by all command classes.

  Overrides:
    `distutils.cmd.Command.initialize_options` (inherited documentation)

### run(self)

A command's raison d'etre: carry out the action it exists to perform, controlled by the options initialized in 'initialize_options()', customized by other commands, the setup script, the command-line, and config files, and finalized in 'finalize_options()'. All terminal output and filesystem interaction should be done by 'run()'.

This method must be implemented by all command classes.

  Overrides:
    `distutils.cmd.Command.run` (inherited documentation)

Class Variable Details

### boolean_options

  Type:
    `list`
  Value:

        ['force']

### description

  Type:
    `str`
  Value:

        'install data files'

### user_options

  Type:
    `list`
  Value:

        [('install-dir=',
          'd',
          'base directory for installing data files (default: installation bas\
        e dir)'),
         ('root=',
          None,
          'install everything relative to this alternate root directory'),
         ('force', 'f', 'force installation (overwrite existing files)')]

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:38 2007 | http://epydoc.sf.net